Package org.gradle.api.initialization

## Interface ConfigurableIncludedBuild

- All Superinterfaces:
    `IncludedBuild`

      public interface ConfigurableIncludedBuild
      extends IncludedBuild

  A build that is to be included in the composite.
  Since:
    3.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dependencySubstitution​(Action<? super DependencySubstitutions> action)` | Configures the dependency substitution rules for this included build.
    `void` | `setName​(java.lang.String name)` | Sets the name of the included build.

    - ### Methods inherited from interface org.gradle.api.initialization.IncludedBuild

      `getName, getProjectDir, task`

- - ### Method Detail

    - #### setName

          void setName​(java.lang.String name)

      Sets the name of the included build.
      Parameters:
        `name` - the name of the build
      Since:
        6.0

    - #### dependencySubstitution

          void dependencySubstitution​(Action<? super DependencySubstitutions> action)

      Configures the dependency substitution rules for this included build. The action receives an instance of `DependencySubstitutions` which can be configured with substitution rules. Project dependencies are resolved in the context of the included build.
      See Also:
        `ResolutionStrategy.dependencySubstitution(Action)`, `DependencySubstitutions`